Name: wfsyn
Version: %(echo $VERSION)
%define library_version 0.1.0
Release: 1%{?dist}
Summary: Control Windfreak Technologies Synth NV Series RF Signal Generators
Packager: Scott Guthridge <pdx_scooter@yahoo.com>

Group: Applications/Engineering
License: LGPL
URL: http://www.windfreaktech.com
Source: http://www.rompromity.net/SRC/%{name}-%{version}.tgz

%description
This package is a library and collection of tools for controlling Windfreak
Technlogies Synth NV series RF signal generators.

%prep
%setup -q

%build
make NAME=%{name} DESTDIR=%{buildroot} INCLUDEDIR=%{_includedir} \
     LIBDIR=%{_libdir} BINDIR=%{_bindir} MANDIR=%{_mandir} all

%install
make NAME=%{name} DESTDIR=%{buildroot} INCLUDEDIR=%{_includedir} \
     LIBDIR=%{_libdir} BINDIR=%{_bindir} MANDIR=%{_mandir} LDCONFIG="" install

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
make clean

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/*/*
%{_includedir}/*
%{_libdir}/*.so*

%changelog
