/*
 * Windfreak Technologies SynthNV Series RF Signal Generator Library
 * Copyright © 2013 D Scott Guthridge <pdx_scooter@yahoo.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SCRIPT_H
#define SCRIPT_H

#ifndef _UNISTD_H
#include <unistd.h>
#endif /* _UNISTD_H */

extern int cmd_exec(const char *cmdp, const char *argp);
extern int cmd_wait(pid_t pid);
extern int cmd_start1(const char *cmdp, const char *argp,
		      int *fdp, pid_t *pidp);
extern int cmd_start2(const char *cmdp, int *fdp, pid_t *pidp);

#endif /* SCRIPT_H */
