/*
 * Windfreak Technologies SynthNV Series RF Signal Generator Library
 * Copyright © 2013 D Scott Guthridge <pdx_scooter@yahoo.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ERROR_H
#define ERROR_H

#ifndef _INTTYPES_H
#include <inttypes.h>
#endif /* _INTTYPES_H */

typedef enum {
    ERR_WARNING,
    ERR_ERROR,
    ERR_FATAL
} error_severity_type;

extern void error(error_severity_type severity, const char *format, ...)
#ifdef __GNUC__
		  __attribute__ ((format (printf, 2, 3)))
#endif /* __GNUC__ */
;

#endif /* ERROR_H */
